opensaml::SignableObject Class Referenceabstract

Base class for SAML objects that can be signed. More...

`#include <saml/signature/SignableObject.h>`

Inheritance diagram for opensaml::SignableObject:
[legend]
Collaboration diagram for opensaml::SignableObject:
[legend]

## Public Member Functions

virtual xmlsignature::Signature * | getSignature () const =0
| Returns the enveloped Signature from the object.
virtual void | setSignature (xmlsignature::Signature *sig)=0
| Sets an enveloped Signature in the object.

## Protected Member Functions

void | declareNonVisibleNamespaces () const
| Search the object for non-visible namespaces, and pin them on the root of the object where necessary, adding them to the inclusive prefix list for signing purposes.

## Detailed Description

Base class for SAML objects that can be signed.

## Member Function Documentation

## getSignature()

virtual xmlsignature::Signature * opensaml::SignableObject::getSignature | ( |  | ) | const

pure virtual

Returns the enveloped Signature from the object.

Returns
  the enveloped Signature, or nullptr

## setSignature()

virtual void opensaml::SignableObject::setSignature | ( | xmlsignature::Signature * | sig | ) |

pure virtual

Sets an enveloped Signature in the object.

Parameters

  sig | the enveloped Signature, or nullptr

The documentation for this class was generated from the following file:

- saml/signature/SignableObject.h